<?php
// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e("This post is password protected. Enter the password to view comments.", "simplyworks"); ?></p>
	<?php
		return;
	}
?>


<?php if ( have_comments() ) : ?>
	<h4 id="comments"><?php comments_number(__('No comments posted yet', 'simplyworks'), __('One single comment', 'simplyworks'), __('% comments', 'simplyworks') );?> <a name="comments"></a></h4>

	<!-- top navigation removed -->

	<ol class="commentlist">
		<?php wp_list_comments(); ?>
	</ol>
    <div class="navigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>

 <?php else : // this is displayed if there are no comments so far ?>

	<?php if (comments_open()) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<!-- <p class="nocomments"><?php _e("Comments are closed.", "simplyworks");?></p> //-->

	<?php endif; ?>
<?php endif; ?>


<?php if ( comments_open() ) : ?>

<div id="respond">
<div class="cancel-comment-reply">
	<?php cancel_comment_reply_link(); ?>
</div>
<?php
function swc_fields($fields) {
$fields['author'] = '<p class="comment-form-author"><input id="author" name="author" value="" size="30" aria-required="true" type="text"> <span class="required">*</span><label for="author">Name</label></p>';
$fields['email'] = '<p class="comment-form-email"><input id="email" name="email" value="" size="30" aria-required="true" type="text"> <span class="required">*</span><label for="email">Email</label> </p>';
$fields['url'] = '<p class="comment-form-url"><input id="url" name="url" value="" size="30" type="text">  <label for="url">Website</label></p> ';
return $fields;
}
add_filter('comment_form_default_fields','swc_fields');


$swc_defaults = array(
	'title_reply'          => __( 'Leave a Reply' ),
	'title_reply_to'       => __( 'Leave a Reply to %s' ),
	'cancel_reply_link'    => __( 'Cancel reply' ),
	'label_submit'         => __( 'Submit Comment' ),
	'comment_notes_after'  => ''
);


comment_form($swc_defaults);
//comment_form(); 
?>
<div class="clear"></div>
</div>

<?php endif; // if you delete this the sky will fall on your head ?>
