<?php
/*
Package: Simply Works Core
Title: Simply Works Core
Copyright: Copyright (c) Simply Works Consulting, Inc.
Company: Simply Works Consulting, Inc.
Created: 09/09/10
Author: Jason Huber
Version: 1.2
Description: Header include file
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php if (is_home () ) { bloginfo('name'); } elseif (is_category() || is_tag()) { single_cat_title(); echo ' &bull; ' ; bloginfo('name'); } elseif (is_single() || is_page()) { single_post_title(); } else { wp_title('',true); } ?></title>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="shortcut icon" href="<?php bloginfo('stylesheet_directory'); ?>/favicon.ico" />
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
<?php global $options;
	foreach ($options as $value) {
    	if (get_option( $value['id'] ) === FALSE) {$$value['id'] = $value['std']; } else { $$value['id'] = get_option( $value['id'] ); }
		}?>

</head>
<body <?php body_class(); ?>>
<div id="webpage">
<div id="header">
<div class="headerleft">
		<a href="<?php echo get_option('home'); ?>/"><?php if($swc_logo) { ?><img src="<?php echo bloginfo('stylesheet_directory')."/".$swc_logo;?>" alt="<?php echo bloginfo('name') ?>"/><?php } else { ?> <h1> <?php bloginfo('name'); ?> </h1></a> <span><?php bloginfo('description'); ?></span><?php } ?>     
</div>
<div class="headerright"><br />
<?php if($swc_ad_head_disable == 'true') {}else{?>
       <div class="headerad">
          <?php if($swc_ad_head_adsense) { echo stripslashes($swc_ad_head_adsense); } else {?><img src="<?php bloginfo('template_url'); ?>/images/google_468_60.jpg" alt="Advertisement" /><?php } ?>
       </div>
<?php } ?>           
            
<?php if($swc_search_disable == 'true') {}else{ ?>       
 <div id="searchblock">
        <form id="searchform" method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
		<input type="text" size="35" value="<?php _e("Search this website...", 'simplyworks'); ?>" name="s" id="searchbox" onfocus="if (this.value == '<?php _e("Search this website...", 'simplyworks'); ?>') {this.value = '';}" onblur="if (this.value == '') {this.value = '<?php _e("Search this website...", 'simplyworks'); ?>';}" /><input type="submit" id="searchsubmit" value="<?php _e("GO", 'simplyworks'); ?>" /></form>
        </div>  
<?php } ?>
</div>
</div>
<?php
if ( function_exists( 'register_nav_menu' ) ) {
	if ( has_nav_menu( 'primary-menu' ) ) { ?>
	<div id="navbar">
		<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'fallback_cb' => '') ); ?>
	</div>
<?php 
   }
  	if ( has_nav_menu( 'secondary-menu' ) ) { ?>
	<div id="subnav">
		<?php wp_nav_menu( array( 'theme_location' => 'secondary-menu', 'fallback_cb' => '') ); ?>
	</div>
<?php 
  }
}
?>

<div class="clear"></div>
<div id="mainbody">

