<?php 
/*
Package: Simply Works Core
Title: Simply Works Core
Copyright: Copyright (c) Simply Works Consulting, Inc.
Company: Simply Works Consulting, Inc.
Created: 09/09/10
Author: Jason Huber
Version: 1.2
Description: Primary Index Page for the core
 */
get_header(); 
?>

	<div id="contentarea">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

				
				 <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<?php //  SINGLE /////////////
				if (is_single()) { ?>
					    <h2><?php the_title(); ?></h2>
				    <div class="postmeta">
                    <span class="author"><?php _e("By: ", "simplyworks");?><?php the_author(); ?></span> - <?php the_time(__('F jS, Y', 'simplyworks')) ?> <?php edit_post_link('Edit', '<span class="edit">', '</span>   '); ?>   	
                    <span class="comm"><?php comments_popup_link('ADD COMMENTS', '1 COMMENT', '% COMMENTS'); ?></span>	
					</div>
                     <?php if(has_post_thumbnail()) { ?>
                    <div class="img-shadow"><?php the_post_thumbnail('single-post-thumbnail'); ?></div>
                    <?php } ?>
               <div class="entry">
					<?php the_content(__('[Read More]', 'simplyworks')); ?>
				</div>
                
				<?php // requires plugin 
				       if ( function_exists( 'wp_related_posts' ) ) {
                           wp_related_posts(); 
				          }  
                 ?>

				<?php  ////  PAGE /////////////////////
				} elseif (is_page()) { ?>
					<h2><?php the_title(); ?></h2>
                    <div class="postmeta">              
                    <span class="comm"><?php comments_popup_link('ADD COMMENTS', '1 COMMENT', '% COMMENTS'); ?></span>	
					</div>
                    <?php if(has_post_thumbnail()) { ?>
                    <div class="img-shadow"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_post_thumbnail(array(150,150), array('class' => 'alignleft')); ?></a></div> 
                    <?php } ?>
                    <div class="entry">
					  <?php the_content(__('[Read More]', 'simplyworks')); ?>
				    </div>
				<?php 
				
				////////  CAT LISTING  /////////////////////
				} else { ?>
                    <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
                    <div class="postmeta">
                    <span class="author"><?php _e("By: ", "simplyworks");?><?php the_author(); ?></span> - <?php the_time(__('F jS, Y', 'simplyworks'))?>&nbsp;&nbsp;<?php  _e("Filed under: ", 'simplyworks'); ?> <?php the_category(', ') ?>  <?php edit_post_link('Edit', '<span class="edit">', '</span>   '); ?>                  
                    <span class="comm"><?php comments_popup_link('ADD COMMENTS', '1 COMMENT', '% COMMENTS'); ?></span>	
					</div>
                    <?php if(has_post_thumbnail()) { ?>
                    <div class="img-shadow"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_post_thumbnail(array(150,150), array('class' => 'alignleft')); ?></a></div> 
                    <?php } ?>

                    
                   <div class="entry">
                   <?php the_content(__('[Read More]', 'simplyworks')); ?>
				   </div>
	                <div class="tags"><?php the_tags('Tags: ', ', ', ''); ?></div>
				<?php } ?>
                  
                   <?php if (is_single() || is_page()) {wp_link_pages('before=<div class="pagelinks">' . __('Pages:', 'simplyworks') .'&after=</div>'); }?>
                   <div class="clear"></div>
			    </div>
                
			<?php comments_template('', true); ?>
		<?php endwhile; ?>
			<div class="lowernav">
				<?php next_post_link('<div class="right">%link >></div>'); ?> 
				<?php previous_post_link('<div class="left"><< %link</div>'); ?> 
			</div>
	<?php endif; ?>
	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>