<?php
/*
Package: Simply Works Core
Title: Simply Works Core
Copyright: Copyright (c) Simply Works Consulting, Inc.
Company: Simply Works Consulting, Inc.
Created: 09/09/10
Author: Jason Huber
Version: 1.2
Description: Sidebar
 */
?>
<div id="sidebar">
<ul>
	<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Sidebar Top') ) : ?>
			<ul>
			    <?php wp_list_pages('title_li=<h3>' . __('Pages') . '</h3>' ); ?>
			</ul>
	<?php endif; ?>
</ul>

<?php if(get_option('swc_LRbars_disable') == 'true') {}else{ ?>   
<div id="l_sidebar">
	<ul>
	<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Sidebar Bottom Right') ) : ?>
	
		<li id="categories" class="widget">
            <h4><?php _e("Categories", ''); ?></h4>
			<ul>
			    <?php wp_list_categories('orderby=name&title_li=&depth=2'); ?>
			</ul>
		</li>
	<?php endif; ?>
    </ul>
</div>

<div id="r_sidebar">
  <ul>
	<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Sidebar Bottom Left') ) : ?>
	
		<li id="archives" class="widget">
            <h4><?php _e("Archives", ''); ?></h4>
			<ul>
			    <?php wp_get_archives('type=monthly'); ?>
			</ul>
		</li>	
	<?php endif; ?>
  </ul>
</div>
<?php } ?>

</div>